Sync with portage [Wed Mar 27 08:21:39 MSK 2019].

mhiretskiy 1383
root 5 years ago
parent 4859f60b5c
commit 4288f63126

Binary file not shown.

Binary file not shown.

@ -1 +1,2 @@
DIST analog-6.0.tar.gz 1553316 BLAKE2B 5363880cf65e8a4e845603a19dd30b79d4fb13b51b68d0cbcf59c2827a2c099d02c662e55b59ef9b4526ade53ca3f7401415a3bc78de3d7cc39b4e4988299241 SHA512 42b766d45f86a32d2e97cc2be35ebb5f4e0ffc2fb72d48196939027ea1ed3398a8cc0a43c47868f542bfb464199ab35bd93fa2ba5e37c4fc83ff15cfe19b9c60
DIST analog-src-6013ce.zip 4875246 BLAKE2B 6b0663f3367faf84a8c65a778a065165ddfba6cd902e5cc6c9e0e84d94e1600629b9f9f89b87ec293f4b81f4034e21941ad45784ae5f35352f71f7b0917eb731 SHA512 8f8dbf0bd95873132414f558deeff61fbe9ac6cac40936f00515ccaead86642613c3f0a5a88046eb4d1f4e263cb01d638291c9a1596ea36098b455572b7364ed

@ -1,4 +1,4 @@
# Copyright 1999-2016 Gentoo Foundation
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=4
@ -6,8 +6,8 @@ EAPI=4
inherit eutils toolchain-funcs
DESCRIPTION="A webserver log analyzer"
HOMEPAGE="http://www.c-amie.co.uk/analog/"
SRC_URI="http://www.analog.cx/${P}.tar.gz"
HOMEPAGE="https://www.c-amie.co.uk/software/analog/"
SRC_URI="https://web.archive.org/web/20140331011039/http://www.analog.cx/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"

@ -0,0 +1,66 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit toolchain-funcs
MY_P="${PN}-src-6013ce"
DESCRIPTION="A webserver log analyzer"
HOMEPAGE="https://www.c-amie.co.uk/software/analog/"
SRC_URI="http://www.c-amie.co.uk/static/analog/6013/${MY_P}.zip"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ppc ~ppc64 ~sparc ~x86"
DEPEND="
app-arch/unzip
>=dev-libs/libpcre-3.4
>=media-libs/gd-1.8.4-r2[jpeg,png]
sys-libs/zlib"
RDEPEND="
${DEPEND}"
S="${WORKDIR}/${MY_P}"
PATCHES=(
"${FILESDIR}"/${PN}-5.1-gentoo.diff
"${FILESDIR}"/${PN}-6.0-bzip2.patch
"${FILESDIR}"/${PN}-6.0-undefined-macro.patch
)
src_prepare() {
default
sed -i src/Makefile \
-e 's| -o | $(LDFLAGS)&|g' \
|| die "sed Makefile"
}
src_compile() {
tc-export CC
# emake in main dir just executes "cd src && make",
# i.e. MAKEOPTS are ignored
emake -C src
}
src_install() {
newman analog.man analog.1
dodoc README.txt Licence.txt analog.cfg
dodoc -r examples
docinto html
dodoc docs/*.{html,gif,css,ico}
dodoc -r how-to
docinto cgi
dodoc anlgform.pl
insinto /usr/share/analog/images ; doins images/*
insinto /usr/share/analog/lang ; doins lang/*
dodir /var/log/analog
dosym ../../../usr/share/analog/images /var/log/analog/images
insinto /etc/analog ; doins "${FILESDIR}/analog.cfg"
dobin analog
}

@ -1,2 +1,3 @@
DIST lastpass-cli-1.3.1.tar.gz 114843 BLAKE2B 7983d4090092ef3443d8c502d157934fa2384426f0be22c796795cdf664be3ba396f64daa81cdf896cb6901d4063f93e54b62cda4349b14fa4d312a21c5bb76d SHA512 092d28dc459719e662fbb2c5e92e8cc75be108aa9d7b62569ee44cb34dd9588e78151fdc5ad114c30e8de21c0b8803edc41db9295548c7cbfe6e537c9a52aad2
DIST lastpass-cli-1.3.2.tar.gz 116399 BLAKE2B d00ab9443935b90eab7337702a52e0ed2e7f2e67c20ed6764f72e25ae123e0420013aa9220ece8a57b7e3bbe2f243ff56bd054fecdbd064f086536bc5eaf0d88 SHA512 b293e86d70988aa5860a94fdc2bc65341bb253d2423c8f745730419400adc91ff860017d35657d283458c477c2385ff2532b8aefa752f886b207da8d10bf9018
DIST lastpass-cli-man-1.3.1.tar.xz 5700 BLAKE2B 736ab71ad55cfcb657c727f3dc9dc15775dab1a0232d1ffc51b8794e49911531c96a841b4a5ac0b31f0516cd7aa54027ac7d0eb096816730cdfd192c04d99449 SHA512 e60807683ecd681b3937ef447d3e6a487d25418fe99f51ba99e54bf643c5254dd18427a03e7f035198ef34ff578bbb6116baf04eb554f54d85e7d059b6bfed7e

@ -0,0 +1,65 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
CMAKE_WARN_UNUSED_CLI=no
inherit cmake-utils bash-completion-r1
DESCRIPTION="Interfaces with LastPass.com from the command line."
HOMEPAGE="https://github.com/lastpass/lastpass-cli"
SRC_URI="https://github.com/lastpass/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz
https://dev.gentoo.org/~gokturk/distfiles/app-admin/lastpass-cli/${PN}-man-1.3.1.tar.xz"
SLOT="0"
LICENSE="GPL-2+ GPL-2+-with-openssl-exception"
KEYWORDS="~amd64 ~x86"
IUSE="libressl X +pinentry test"
RDEPEND="
X? ( || ( x11-misc/xclip x11-misc/xsel ) )
!libressl? ( dev-libs/openssl:0= )
libressl? ( dev-libs/libressl:0= )
net-misc/curl
dev-libs/libxml2
pinentry? ( app-crypt/pinentry )
"
DEPEND="${RDEPEND}
virtual/pkgconfig
"
src_configure() {
local mycmakeargs=(
-DBASH_COMPLETION_COMPLETIONSDIR="$(get_bashcompdir)"
)
cmake-utils_src_configure
}
src_compile() {
cmake-utils_src_compile all $(usex test lpass-test '')
}
src_install() {
cmake-utils_src_install install
doman "${WORKDIR}"/man/lpass.1
# Version 1.3.2 uses automagic detection for bashcomp
# To preserve backwards compatibility, we unconditionally
# install the completion file
newbashcomp contrib/lpass_bash_completion lpass
}
src_test() {
local myctestargs=(
-j1 # Parallel tests fail
)
# The path to lpass-test is hardcoded to "${S}"/build/lpass-test
# which is incorrect for our out-of-source build
sed -e "s|TEST_LPASS=.*|TEST_LPASS=\"${BUILD_DIR}/lpass-test\"|" \
-i "${S}"/test/include.sh || die
cmake-utils_src_test
}

@ -1,4 +1,6 @@
DIST puppet-4.10.12.tar.gz 3022218 BLAKE2B 03757857868b1544078ae5e40d6e438631c788f1b01a3e62ba90e477b754601d2c085228e084363ff20ee39728b02ebe8ca83e17f7c79dddae1c3968aef4e320 SHA512 ff7accf70b1d4de7282cf3b41246151c49c4758a41ace56a470e4723749638027011cf170747e66fa5812280e1612e754e12d92dd35fa6c93171f7187bb9cfa2
DIST puppet-5.5.10.tar.gz 3064457 BLAKE2B 04cac9cebc03343b8c6fcf762f681f63bce4ebe27b6e7e727d06b14f0013a6c4b0ed7ff793e01b170931a881a921b4a2f107a5e37d1ac9394046f8611a7adaaf SHA512 70a5684289fc576853bf908adff44c1b1ce4b37d71236e7d7a8d140fa0e3cdd46a4b570cc7e493a3f47641f6be0c3b736ab04a178c30cce4244abe686378bf4b
DIST puppet-5.5.12.tar.gz 3073481 BLAKE2B 8044af48e7d86e754f767b42199814ff9b2dcda04f1e13920cea332ae79b23997cc1a17fe761bb5216d174bc5d77c244a9eba7752c004bf1558a648c334f698a SHA512 33d844d671710adae1dbe184981143883bf4f3ac1516f8aedd1cd8d30157bc947a3a66df30c10a2357a8cb42dafe02a80a24007312b2107c68350ed0871a3249
DIST puppet-6.2.0.tar.gz 2821615 BLAKE2B 88b8ec856cfc6dacba5dfe44da7abce56a351f514057d3c916ecb5f4188703713cf7981984c2a59cb8073da93eab91a815dc2f52ee4f621c9a412897e9387d5e SHA512 91540169d3c9c1715e78b416961f4f3957a01b0908c3b675fa75226361fb8161730ca47ed98a2e958d8841fd50086c75489c5ee53b41f933392f399d502bad9b
DIST puppet-6.3.0.tar.gz 2831909 BLAKE2B ccf6353c0fc1fcdd4ac06e79bd8d91980162b8f1b2012fc2bfc1cdea3d2d6b22bf55216cea9b94a4024273ca9f76eedcc92a861de9db348408a361596033b51c SHA512 1d30706049fe378facddb923a9ecb521d37faa84740251602ac340ea1299c247252fbdaca17f1ea450ff716ab26ac4e9524f1137080318e6d9237a9e2699f6b8
DIST puppet-6.4.0.tar.gz 2890722 BLAKE2B 5d377ab8a964b342088af5b204a53273593dd0aa8350485c2f886172947ce977aaead0ddf151548d64446f1091ec859e4eb04b86984d7e21014e8194e3a8c4c1 SHA512 f3a74be2371313f7d20e669a11e4be03cc064343fa7223d93950c3fab43545cd4b1c378b6b8795a74b084dbdb7a67d1eec9ab516565ad0e64dd28864c5327459

@ -0,0 +1,144 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="6"
USE_RUBY="ruby23 ruby24 ruby25"
RUBY_FAKEGEM_RECIPE_TEST="rspec3"
RUBY_FAKEGEM_TASK_DOC="doc:all"
RUBY_FAKEGEM_EXTRAINSTALL="locales"
inherit eutils user ruby-fakegem eapi7-ver
DESCRIPTION="A system automation and configuration management software."
HOMEPAGE="http://puppetlabs.com/"
SRC_URI="http://downloads.puppetlabs.com/puppet/${P}.tar.gz"
LICENSE="Apache-2.0 GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~arm ~hppa ~ppc ~ppc64 ~x86"
IUSE="augeas diff doc emacs ldap rrdtool selinux shadow sqlite vim-syntax"
RESTRICT="test"
ruby_add_rdepend "
dev-ruby/hiera
dev-ruby/json:=
>=dev-ruby/facter-3.0.0
augeas? ( dev-ruby/ruby-augeas )
diff? ( dev-ruby/diff-lcs )
doc? ( dev-ruby/rdoc )
ldap? ( dev-ruby/ruby-ldap )
shadow? ( dev-ruby/ruby-shadow )
sqlite? ( dev-ruby/sqlite3 )
virtual/ruby-ssl
dev-ruby/hocon"
ruby_add_bdepend "
doc? ( dev-ruby/yard )
test? (
dev-ruby/mocha
dev-ruby/rack
dev-ruby/rspec-its
)"
# this should go in the above lists, but isn't because of test deps not being keyworded
# dev-ruby/rspec-collection_matchers
RDEPEND+=" ${RDEPEND}
rrdtool? ( >=net-analyzer/rrdtool-1.2.23[ruby] )
selinux? (
sys-libs/libselinux[ruby]
sec-policy/selinux-puppet
)
vim-syntax? ( >=app-vim/puppet-syntax-3.0.1 )
>=app-portage/eix-0.18.0"
PDEPEND="emacs? ( >=app-emacs/puppet-mode-0.3-r1 )"
pkg_setup() {
enewgroup puppet
enewuser puppet -1 -1 /var/lib/puppet puppet
}
all_ruby_prepare() {
# Avoid spec that require unpackaged json-schema.
rm spec/lib/matchers/json.rb $( grep -Rl matchers/json spec) || die
# can't be run within portage.
epatch "${FILESDIR}/puppet-fix-tests-4.7.0.patch"
# fix systemd path
epatch "${FILESDIR}/puppet-systemd.patch"
# Avoid specs that can only run in the puppet.git repository. This
# should be narrowed down to the specific specs.
rm spec/integration/parser/compiler_spec.rb || die
# Avoid failing spec that need further investigation.
rm spec/unit/module_tool/metadata_spec.rb || die
}
each_ruby_install() {
each_fakegem_install
# dosym "/usr/$(get_libdir)/ruby/gems/$(ruby_get_version)/gems/${P}" "/usr/$(get_libdir)/ruby/gems/$(ruby_get_version)/gems/${PN}"
}
all_ruby_install() {
all_fakegem_install
# systemd stuffs
insinto /usr/lib/systemd/system
doins "${WORKDIR}/all/${P}/ext/systemd/puppet.service"
# tmpfiles stuff
insinto /usr/lib/tmpfiles.d
newins "${FILESDIR}/tmpfiles.d" "puppet.conf"
# openrc init stuff
newinitd "${FILESDIR}"/puppet.init-4.x puppet
newinitd "${FILESDIR}"/puppetmaster.init-4.x puppetmaster
newconfd "${FILESDIR}"/puppetmaster.confd puppetmaster
keepdir /etc/puppetlabs/puppet/ssl
keepdir /var/lib/puppet/facts
keepdir /var/lib/puppet/files
fowners -R puppet:puppet /var/lib/puppet
fperms 0750 /var/lib/puppet
fperms 0750 /etc/puppetlabs
fperms 0750 /etc/puppetlabs/puppet
fperms 0750 /etc/puppetlabs/puppet/ssl
fowners -R :puppet /etc/puppetlabs
fowners -R :puppet /var/lib/puppet
if use ldap ; then
insinto /etc/openldap/schema; doins ext/ldap/puppet.schema
fi
# ext and examples files
for f in $(find ext examples -type f) ; do
docinto "$(dirname ${f})"; dodoc "${f}"
done
}
pkg_postinst() {
elog
elog "Please, *don't* include the --ask option in EMERGE_EXTRA_OPTS as this could"
elog "cause puppet to hang while installing packages."
elog
elog "Portage Puppet module with Gentoo-specific resources:"
elog "http://forge.puppetlabs.com/gentoo/portage"
elog
for v in ${REPLACING_VERSIONS}; do
if [ "$(ver_cut 1 "$v")" -eq "4" ]; then
elog
elog "Please see the following url for the release notes for puppet-5"
elog "https://docs.puppet.com/puppet/5.0/release_notes.html#if-youre-upgrading-from-puppet-4x"
elog
fi
done
}

@ -0,0 +1,138 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="6"
USE_RUBY="ruby23 ruby24 ruby25"
RUBY_FAKEGEM_RECIPE_TEST="rspec3"
RUBY_FAKEGEM_TASK_DOC="doc:all"
RUBY_FAKEGEM_EXTRAINSTALL="locales"
inherit eutils user ruby-fakegem eapi7-ver
DESCRIPTION="A system automation and configuration management software."
HOMEPAGE="http://puppetlabs.com/"
SRC_URI="http://downloads.puppetlabs.com/puppet/${P}.tar.gz"
LICENSE="Apache-2.0 GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~arm ~hppa ~ppc ~ppc64 ~x86"
IUSE="augeas diff doc emacs ldap rrdtool selinux shadow sqlite vim-syntax"
RESTRICT="test"
ruby_add_rdepend "
dev-ruby/hiera
dev-ruby/json:=
dev-ruby/semantic_puppet
>=dev-ruby/facter-3.0.0
augeas? ( dev-ruby/ruby-augeas )
diff? ( dev-ruby/diff-lcs )
doc? ( dev-ruby/rdoc )
ldap? ( dev-ruby/ruby-ldap )
shadow? ( dev-ruby/ruby-shadow )
sqlite? ( dev-ruby/sqlite3 )
virtual/ruby-ssl
dev-ruby/hocon"
ruby_add_bdepend "
doc? ( dev-ruby/yard )
test? (
dev-ruby/mocha
dev-ruby/rack
dev-ruby/rspec-its
)"
# this should go in the above lists, but isn't because of test deps not being keyworded
# dev-ruby/rspec-collection_matchers
RDEPEND+=" ${RDEPEND}
rrdtool? ( >=net-analyzer/rrdtool-1.2.23[ruby] )
selinux? (
sys-libs/libselinux[ruby]
sec-policy/selinux-puppet
)
vim-syntax? ( >=app-vim/puppet-syntax-3.0.1 )
>=app-portage/eix-0.18.0"
PDEPEND="emacs? ( >=app-emacs/puppet-mode-0.3-r1 )"
pkg_setup() {
enewgroup puppet
enewuser puppet -1 -1 /var/lib/puppet puppet
}
all_ruby_prepare() {
# Avoid spec that require unpackaged json-schema.
rm spec/lib/matchers/json.rb $( grep -Rl matchers/json spec) || die
# can't be run within portage.
epatch "${FILESDIR}/puppet-fix-tests-6.0.0.patch"
# fix systemd path
epatch "${FILESDIR}/puppet-systemd.patch"
# Avoid specs that can only run in the puppet.git repository. This
# should be narrowed down to the specific specs.
rm spec/integration/parser/compiler_spec.rb || die
# Avoid failing spec that need further investigation.
rm spec/unit/module_tool/metadata_spec.rb || die
}
each_ruby_install() {
each_fakegem_install
# dosym "/usr/$(get_libdir)/ruby/gems/$(ruby_get_version)/gems/${P}" "/usr/$(get_libdir)/ruby/gems/$(ruby_get_version)/gems/${PN}"
}
all_ruby_install() {
all_fakegem_install
# systemd stuffs
insinto /usr/lib/systemd/system
doins "${WORKDIR}/all/${P}/ext/systemd/puppet.service"
# tmpfiles stuff
insinto /usr/lib/tmpfiles.d
newins "${FILESDIR}/tmpfiles.d" "puppet.conf"
# openrc init stuff
newinitd "${FILESDIR}"/puppet.init-4.x puppet
keepdir /etc/puppetlabs/puppet/ssl
keepdir /var/lib/puppet/facts
keepdir /var/lib/puppet/files
fowners -R puppet:puppet /var/lib/puppet
fperms 0750 /var/lib/puppet
fperms 0750 /etc/puppetlabs
fperms 0750 /etc/puppetlabs/puppet
fperms 0750 /etc/puppetlabs/puppet/ssl
fowners -R :puppet /etc/puppetlabs
fowners -R :puppet /var/lib/puppet
if use ldap ; then
insinto /etc/openldap/schema; doins ext/ldap/puppet.schema
fi
# ext and examples files
for f in $(find ext examples -type f) ; do
docinto "$(dirname ${f})"; dodoc "${f}"
done
}
pkg_postinst() {
elog
elog "Please, *don't* include the --ask option in EMERGE_EXTRA_OPTS as this could"
elog "cause puppet to hang while installing packages."
elog
elog "Portage Puppet module with Gentoo-specific resources:"
elog "http://forge.puppetlabs.com/gentoo/portage"
elog
elog "If updating from puppet 5 to 6, keep in mind that webrick (server/master)"
elog "suppert was removed for >=6.x, please migrate to puppetserver if you have"
elog "not already done so."
elog
}

Binary file not shown.

@ -5,10 +5,6 @@
<email>antivirus@gentoo.org</email>
<name>Gentoo Antivirus Project</name>
</maintainer>
<maintainer type="project">
<email>net-mail@gentoo.org</email>
<name>Net-Mail</name>
</maintainer>
<use>
<flag name="clamdtop">A Top like tool which shows what clamd is currently scanning amongst other things</flag>
<flag name="metadata-analysis-api">Enables collection of file property metadata using ClamAV API for analysis by ClamAV bytecode programs.</flag>

Binary file not shown.

@ -1,10 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="project">
<email>net-mail@gentoo.org</email>
<name>Net-Mail</name>
</maintainer>
<maintainer type="project">
<email>antivirus@gentoo.org</email>
<name>Gentoo Antivirus Project</name>

@ -12,7 +12,7 @@ SRC_URI="mirror://gnu/tar/${P}.tar.bz2
LICENSE="GPL-3+"
SLOT="0"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh sparc ~x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="~alpha amd64 ~arm ~arm64 hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh sparc ~x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="acl elibc_glibc minimal nls selinux static userland_GNU xattr"
LIB_DEPEND="acl? ( virtual/acl[static-libs(+)] )"

@ -17,7 +17,7 @@ else
MY_P="${PN/-utils}-${PV/_}"
SRC_URI="https://tukaani.org/xz/${MY_P}.tar.gz"
[[ "${PV}" == *_alpha* ]] || [[ "${PV}" == *_beta* ]] || \
KEYWORDS="~alpha amd64 ~arm ~arm64 hppa ia64 m68k ~mips ppc ppc64 s390 sh sparc ~x86 ~ppc-aix ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="~alpha amd64 arm ~arm64 hppa ia64 m68k ~mips ppc ppc64 s390 sh sparc ~x86 ~ppc-aix ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
S="${WORKDIR}/${MY_P}"
EXTRA_DEPEND=
fi

Binary file not shown.

@ -4,3 +4,4 @@ DIST btrbk-0.26.0.tar.xz 82472 BLAKE2B 06effda16b2173e6d3dc3ea896ed9729d6f2840a2
DIST btrbk-0.26.1.tar.xz 83624 BLAKE2B a99c66dc16432edb1da38ac51e68ed939207ad8553108258346d4261c243a1a478a3e1dca1cf6d39d03e10a8a5c44e45a7784aec131246e060aded4fc24d708e SHA512 ee0043f468e11545ca28b5bd456aa9dab1b994ed6d8899ab0f53d455f78bb44f83bcf493e32fdecfec82b3029d5dabc2db72a2f32de80b709a12930df6d53b22
DIST btrbk-0.27.0.tar.xz 86648 BLAKE2B bebb1c56b5c08e588829697df1d00e89366582d7c501ffc7c72baf8136ec62ac1f9b7aea300f1ba20c6060646e80916a52e2b83a85b383cb04289867d82b2a53 SHA512 2d65d32cecdd8598d5028a78a449559563bf38a172849e0a13ccfa8129189a044cb2d007561b5c7e611c8bbbe069fd9c1177085dca519c88d40233fb0d49db36
DIST btrbk-0.27.1.tar.xz 86764 BLAKE2B a46514a94e6f49f83f92bba6f545738fe6a0b274a7eb39a132a41e1f89e0e6428ee8e29164ca2ba249bf98d2c7a5f682a81bb5c113a9cd5af12e4abf98669684 SHA512 b30be9fa2459d34d33ed0c2ef1b4f2e7010d1d7f9dc6e6e3236550307b7e2f2f517a61d21bcd2aca3ed0750ef64259bb51c32ff26abcc70008db92e1a66212bd
DIST btrbk-0.27.2.tar.xz 87012 BLAKE2B 7b25ce04e088b9c3df1f5d4f41ec3e6aef7e48bebb8fcd4c4a8365bb73d26dd09afdf1814985362b28958a93df2797dd62444475024f66bd027303955a160604 SHA512 497d1dd1d2de712d4de80d0bfcdf6995590fd5308b81d7198af7cebe81c45fd53c8940265c1451eb95339636cf0e4c2a9162befb7cdd48cc8d4142b4e9ca75f1

@ -0,0 +1,77 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit systemd
if [[ ${PV} == "9999" ]] ; then
EGIT_REPO_URI="https://github.com/digint/btrbk.git"
inherit git-r3
SRC_URI=""
KEYWORDS=""
else
SRC_URI="https://digint.ch/download/btrbk/releases/${P}.tar.xz"
KEYWORDS="~amd64 ~arm ~x86"
fi
DESCRIPTION="Tool for creating snapshots and remote backups of btrfs subvolumes"
HOMEPAGE="https://digint.ch/btrbk/"
LICENSE="GPL-3+"
SLOT="0"
IUSE="+pv +doc"
DEPEND="doc? ( >=dev-ruby/asciidoctor-1.5.7 )"
RDEPEND="dev-lang/perl
net-misc/openssh
pv? ( sys-apps/pv )
>=sys-fs/btrfs-progs-4.12"
src_compile() {
use doc && emake -C doc COMPRESS=no
}
src_install() {
local targets="install-bin install-etc install-share install-systemd"
use doc && targets="${targets} install-man install-doc"
emake \
COMPRESS=no \
DESTDIR="${D}" \
DOCDIR="/usr/share/doc/${PF}" \
SYSTEMDDIR="$(systemd_get_systemunitdir)" \
${targets}
}
pkg_preinst() {
if has_version "<${CATEGORY}/${PN}-0.26.0" ; then
upgrade_0_26_0_warning="1"
fi
if has_version "<${CATEGORY}/${PN}-0.27.0" ; then
upgrade_0_27_0_warning="1"
fi
}
pkg_postinst() {
if [[ "${upgrade_0_26_0_warning}" == "1" ]]; then
ewarn "If you are using raw targets, make sure to run the"
ewarn "\"raw_suffix2sidecar\" utility in each target directory."
fi
if [[ "${upgrade_0_27_0_warning}" == "1" ]]; then
ewarn 'Due to a bugfix in the scheduler [1] [2], previously preserved'
ewarn 'monthly/yearly backups could get deleted when upgrading to'
ewarn 'btrbk-0.27.0.'
ewarn ''
ewarn 'Before upgrading to btrbk-0.27.0, make sure to stop all cron jobs'
ewarn 'or systemd timers calling btrbk.'
ewarn ''
ewarn 'After upgrading, run "btrbk prune --dry-run --print-schedule" and'
ewarn 'check if any snapshots/backups would get deleted. If you want to'
ewarn 'forcibly preserve a snapshot/backup forever, rename it:'
ewarn ''
ewarn ' mv mysubvol.YYYYMMDD mysubvol.YYYYMMDD.keep_forever'
ewarn ''
ewarn 'Note that btrbk ignores subvolumes with unknown naming scheme, e.g.'
ewarn '(".keep_forever" suffix in the example above).'
ewarn ''
ewarn ' [1] https://github.com/digint/btrbk/issues/217'
ewarn ' [2] https://github.com/digint/btrbk/commit/719fb5f'
fi
}

@ -26,15 +26,20 @@ DEPEND="doc? ( >=dev-ruby/asciidoctor-1.5.7 )"
RDEPEND="dev-lang/perl
net-misc/openssh
pv? ( sys-apps/pv )
>=sys-fs/btrfs-progs-3.18.2"
>=sys-fs/btrfs-progs-4.12"
src_compile() {
use doc && emake -C doc
use doc && emake -C doc COMPRESS=no
}
src_install() {
local targets="install-bin install-etc install-share install-systemd"
use doc && targets="${targets} install-man install-doc"
emake DESTDIR="${D}" DOCDIR="/usr/share/doc/${PF}" SYSTEMDDIR="$(systemd_get_systemunitdir)" ${targets}
emake \
COMPRESS=no \
DESTDIR="${D}" \
DOCDIR="/usr/share/doc/${PF}" \
SYSTEMDDIR="$(systemd_get_systemunitdir)" \
${targets}
}
pkg_preinst() {
if has_version "<${CATEGORY}/${PN}-0.26.0" ; then

Binary file not shown.

@ -11,7 +11,7 @@ SRC_URI="https://ccid.apdu.fr/files/${P}.tar.bz2"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha amd64 ~arm ~hppa ~ia64 ppc ppc64 ~sparc ~x86"
KEYWORDS="~alpha amd64 arm ~hppa ~ia64 ppc ppc64 ~sparc ~x86"
IUSE="twinserial kobil-midentity +usb"
RDEPEND=">=sys-apps/pcsc-lite-1.8.3

@ -13,7 +13,7 @@ HOMEPAGE="https://gitlab.gnome.org/GNOME/gcr"
LICENSE="GPL-2+ LGPL-2+"
SLOT="0/1" # subslot = suffix of libgcr-3
IUSE="debug gtk +introspection vala"
IUSE="debug gtk +introspection +vala"
REQUIRED_USE="vala? ( introspection )"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~sparc-solaris ~x86-solaris"

@ -1,2 +1,3 @@
DIST gpgme-1.11.1.tar.bz2 1419232 BLAKE2B 93980c24e6d692f35105db23a02db891ef022addd583d5bda8e55ec3552dfebb87c9feebb74fdd59fa353a3b08571e51537f8dcaf63af018beff467a848e97e9 SHA512 42fa6f5d6217aaad9b44b969de9603167d179af9a1573342187718ff123cd88c686211c3dc5f2d9cacc20226ab5b8fef85cb66a19ada71d267c397d8ba52cf1a
DIST gpgme-1.12.0.tar.bz2 1658803 BLAKE2B 630646af597074c06a99c1170c4f8170ad0fe4ba643a27a87a61dd8df681ca14f023b07817657bb049eaeaef01df3975bd1fe1b75a026634a62f832c6c311b56 SHA512 c228b3df28377df882be536ada56dc9c73150048a58e591aa4495f89c854af95820152cd60139840f994c249e9c7df50d8b89eb9d6dc4ce02aa80bbfebcdd014
DIST gpgme-1.13.0.tar.bz2 1820504 BLAKE2B 71fbb034e3c5939d1953554ccbe0e89e2089c53a4c79e90ee51bdf96500bf4be8a5e1633772ab8dadd44616dde7be551ad7d3af0a59d7e1df10a19cd9cf56baa SHA512 47a7a67dcc6d111cddd805d288d42e870948114a6dc09ce0675ad8b3d1580bbc2a683e1e70cb2f416919cf2129c72a9ff30e2e3b9527809d04e863cc1f87267b

@ -0,0 +1,117 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python2_7 python3_{4,5,6,7} )
DISTUTILS_OPTIONAL=1
inherit distutils-r1 flag-o-matic libtool qmake-utils toolchain-funcs
DESCRIPTION="GnuPG Made Easy is a library for making GnuPG easier to use"
HOMEPAGE="http://www.gnupg.org/related_software/gpgme"
SRC_URI="mirror://gnupg/gpgme/${P}.tar.bz2"
LICENSE="GPL-2 LGPL-2.1"
SLOT="1/11" # subslot = soname major version
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="common-lisp static-libs cxx python qt5"
COMMON_DEPEND=">=app-crypt/gnupg-2
>=dev-libs/libassuan-2.0.2:=
>=dev-libs/libgpg-error-1.29:=
python? ( ${PYTHON_DEPS} )
qt5? ( dev-qt/qtcore:5 )"
#doc? ( app-doc/doxygen[dot] )
DEPEND="${COMMON_DEPEND}
qt5? ( dev-qt/qttest:5 )"
RDEPEND="${COMMON_DEPEND}
cxx? (
!<kde-apps/gpgmepp-4.14.11_pre20160611:4
!kde-apps/gpgmepp:5
!<kde-apps/kdepimlibs-4.14.10_p20160611:4
!=kde-apps/kdepimlibs-4.14.11_pre20160211*:4
)"
BDEPEND="python? ( dev-lang/swig )"
REQUIRED_USE="qt5? ( cxx ) python? ( ${PYTHON_REQUIRED_USE} )"
do_python() {
if use python; then
pushd "lang/python" > /dev/null || die
top_builddir="../.." srcdir="." CPP=$(tc-getCPP) distutils-r1_src_${EBUILD_PHASE}
popd > /dev/null
fi
}
pkg_setup() {
addpredict /run/user/$(id -u)/gnupg
local MAX_WORKDIR=66
if [[ "${#WORKDIR}" -gt "${MAX_WORKDIR}" ]]; then
ewarn "Disabling tests as WORKDIR '${WORKDIR}' is longer than ${MAX_WORKDIR} which will fail tests"
SKIP_TESTS=1
fi
}
src_prepare() {
default
elibtoolize
# Make best effort to allow longer PORTAGE_TMPDIR
# as usock limitation fails build/tests
ln -s "${P}" "${WORKDIR}/b"
S="${WORKDIR}/b"
}
src_configure() {
local languages=()
use common-lisp && languages+=( "cl" )
use cxx && languages+=( "cpp" )
if use qt5; then
languages+=( "qt" )
#use doc ||
export DOXYGEN=true
export MOC="$(qt5_get_bindir)/moc"
fi
econf \
$([[ -n "${SKIP_TESTS}" ]] && echo "--disable-gpg-test --disable-gpgsm-test") \
--enable-languages="${languages[*]}" \
$(use_enable static-libs static)
use python && make -C lang/python prepare
do_python
}
src_compile() {
default
do_python
}
src_test() {
[[ -z "${SKIP_TESTS}" ]] || return
default
if use python; then
test_python() {
emake -C lang/python/tests check \
PYTHON=${EPYTHON} \
PYTHONS=${EPYTHON} \
TESTFLAGS="--python-libdir=${BUILD_DIR}/lib"
}
python_foreach_impl test_python
fi
}
src_install() {
default
do_python
find "${D}" -name '*.la' -delete || die
# backward compatibility for gentoo
# in the past we had slots
dodir /usr/include/gpgme
dosym ../gpgme.h /usr/include/gpgme/gpgme.h
}

Binary file not shown.

@ -10,7 +10,7 @@ if [[ ${PV} == "9999" ]] ; then
else
MY_P="${PN}-${PV/_}"
SRC_URI="https://www.nano-editor.org/dist/v${PV:0:1}/${MY_P}.tar.gz"
KEYWORDS="~alpha amd64 ~arm ~arm64 hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 s390 ~sh ~sparc ~x86 ~ppc-aix ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="~alpha amd64 ~arm ~arm64 hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 s390 ~sh sparc ~x86 ~ppc-aix ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
fi
DESCRIPTION="GNU GPL'd Pico clone with more functionality"

Binary file not shown.

@ -5,10 +5,6 @@
<email>gnu-emacs@gentoo.org</email>
<name>Gentoo GNU Emacs project</name>
</maintainer>
<maintainer type="project">
<email>net-mail@gentoo.org</email>
<name>Net-Mail</name>
</maintainer>
<stabilize-allarches/>
<use>
<flag name="bbdb">Include support for <pkg>app-emacs/bbdb</pkg></flag>

Binary file not shown.

@ -1,14 +0,0 @@
diff --git a/examples/apparmor/usr.lib.libvirt.virt-aa-helper b/examples/apparmor/usr.lib.libvirt.virt-aa-helper
index de94368..5fbae27 100644
--- a/examples/apparmor/usr.lib.libvirt.virt-aa-helper
+++ b/examples/apparmor/usr.lib.libvirt.virt-aa-helper
@@ -39,6 +39,9 @@ profile virt-aa-helper /usr/{lib,lib64}/libvirt/virt-aa-helper {
/etc/apparmor.d/libvirt/* r,
/etc/apparmor.d/libvirt/libvirt-[0-9a-f]*-[0-9a-f]*-[0-9a-f]*-[0-9a-f]*-[0-9a-f]* rw,
+ # Gentoo specific path for uefi firmware
+ /usr/share/edk2-ovmf/* r,
+
# for backingstore -- allow access to non-hidden files in @{HOME} as well
# as storage pools
audit deny @{HOME}/.* mrwkl,

@ -1,13 +0,0 @@
diff --git a/examples/apparmor/usr.libexec.virt-aa-helper b/examples/apparmor/usr.libexec.virt-aa-helper
index d21723f..99ab4ea 100644
--- a/examples/apparmor/usr.libexec.virt-aa-helper
+++ b/examples/apparmor/usr.libexec.virt-aa-helper
@@ -50,7 +50,7 @@ profile virt-aa-helper /usr/libexec/virt-aa-helper {
@{HOME}/** r,
/var/lib/libvirt/images/ r,
/var/lib/libvirt/images/** r,
- /var/lib/nova/instances/_base/* r
+ /var/lib/nova/instances/_base/* r,
/{media,mnt,opt,srv}/** r,
# For virt-sandbox
/{,var/}run/libvirt/**/[sv]d[a-z] r,

@ -1,235 +0,0 @@
#!/sbin/openrc-run
description="Virtual Machine Management (libvirt) Guests"
depend() {
use libvirtd
}
# set the default to QEMU
[ -z "${LIBVIRT_URIS}" ] && LIBVIRT_URIS="qemu:///system"
# default to suspending the VM via managedsave
case "${LIBVIRT_SHUTDOWN}" in
managedsave|shutdown|destroy) ;;
*) LIBVIRT_SHUTDOWN="managedsave" ;;
esac
# default to 500 seconds
[ -z ${LIBVIRT_MAXWAIT} ] && LIBVIRT_MAXWAIT=500
gueststatefile="/var/lib/libvirt/libvirt-guests.state"
netstatefile="/var/lib/libvirt/libvirt-net.state"
do_virsh() {
local hvuri=$1
shift
# if unset, default to qemu
[ -z ${hvuri} ] && hvuri="qemu:///system"
# if only qemu was supplied then correct the value
[ "xqemu" = x${hvuri} ] && hvuri="qemu:///system"
# Silence errors because virsh always throws an error about
# not finding the hypervisor version when connecting to libvirtd
# lastly strip the blank line at the end
LC_ALL=C virsh -c ${hvuri} "$@" 2>/dev/null | head -n -1
}
libvirtd_dom_list() {
# Only work with domains by their UUIDs
local hvuri=$1
shift
do_virsh "${hvuri}" list --uuid $@
}
libvirtd_dom_count() {
local hvuri=$1
shift
libvirtd_dom_list "${hvuri}" $@ | wc -l
}
libvirtd_net_list() {
# Only work with networks by their UUIDs
local hvuri=$1
shift
do_virsh "${hvuri}" net-list --uuid $@
}
libvirtd_net_count() {
local hvuri=$1
shift
libvirtd_net_list "${hvuri}" $@ | wc -l
}
libvirtd_dom_stop() {
# stops all persistent or transient domains for a given URI
# $1 - uri
# $2 - persisent/transient
local uri=$1
local persist=$2
local shutdown_type=${LIBVIRT_SHUTDOWN}
local counter=${LIBVIRT_MAXWAIT}
local dom_name=
local dom_as=
local dom_ids=
local uuid=
local dom_count=
[ "${persist}" = "--transient" ] && shutdown_type="shutdown"
[ -n "${counter}" ] || counter=500
einfo " Shutting down domain(s) ..."
# grab all persistent or transient domains running
dom_ids=$(libvirtd_dom_list ${uri} ${persist})
for uuid in ${dom_ids}; do
# Get the name
dom_name=$(do_virsh ${uri} domname ${uuid})
einfo " ${dom_name}"
# Get autostart state
dom_as=$(do_virsh ${uri} dominfo ${uuid} | \
awk '$1 == "Autostart:" { print $2 }')
if [ "${persist}" = "--persistent" ]; then
# Save our running state only if LIBVIRT_IGNORE_AUTOSTART != yes
if [ "x${LIBVIRT_IGNORE_AUTOSTART}" = "xyes" ] && \
[ ${dom_as} = "enabled" ]; then
:
else
echo "${uri} ${uuid}" >> ${gueststatefile}
fi
fi
# Now let's stop it
do_virsh "${uri}" ${shutdown_type} ${uuid} > /dev/null
done
dom_count="$(libvirtd_dom_count ${uri} ${persist})"
while [ ${dom_count} -gt 0 ] && [ ${counter} -gt 0 ] ; do
dom_count="$(libvirtd_dom_count ${uri} ${persist})"
sleep 1
if [ "${shutdown_type}" = "shutdown" ]; then
counter=$((${counter} - 1))
fi
printf "."
done
if [ "${shutdown_type}" = "shutdown" ]; then
# grab all domains still running
dom_ids=$(libvirtd_dom_list ${uri} ${persist})
for uuid in ${dom_ids}; do
dom_name=$(do_virsh ${uri} domname ${uuid})
eerror " ${dom_name} forcibly stopped"
do_virsh "${uri}" destroy ${uuid} > /dev/null
done
fi
}
libvirtd_net_stop() {
# stops all persistent or transient domains for a given URI
# $1 - uri
# $2 - persisent/transient
local uri=$1
local persist=$2
local uuid=
local net_name=
if [ "${LIBVIRT_NET_SHUTDOWN}" != "no" ]; then
einfo " Shutting down network(s):"
for uuid in $(libvirtd_net_list ${uri} ${persist}); do
net_name=$(do_virsh ${uri} net-name ${uuid})
einfo " ${net_name}"
if [ "${persist}" = "--persistent" ]; then
# Save our running state
echo "${uri} ${uuid}" >> ${netstatefile}
fi
# Actually stop the network
do_virsh qemu net-destroy ${uuid} > /dev/null
done
fi
}
start() {
local uri=
local uuid=
local name=
for uri in ${LIBVIRT_URIS}; do
do_virsh "${uri}" connect
if [ $? -ne 0 ]; then
eerror "Failed to connect to '${uri}'. Domains may not start."
fi
done
[ ! -e "${netstatefile}" ] && touch "${netstatefile}"
[ ! -e "${gueststatefile}" ] && touch "${gueststatefile}"
# if the user didn't want to start any guests up then respect their wish
[ "x${LIBVIRT_START}" = "xno" ] && return 0
# start networks
ebegin "Starting libvirt networks"
while read -r uri uuid
do
# ignore trash
[ -z "${uri}" ] || [ -z "${uuid}" ] && continue
name=$(do_virsh "${uri}" net-name ${uuid})
einfo " ${name}"
do_virsh "${uri}" net-start ${uuid} > /dev/null
done <"${netstatefile}"
eend 0
# start domains
ebegin "Starting libvirt domains"
while read -r uri uuid
do
# ignore trash
[ -z "${uri}" ] || [ -z "${uuid}" ] && continue
name=$(do_virsh "${uri}" domname ${uuid})
einfo " ${name}"
do_virsh "${uri}" start ${uuid} > /dev/null
done <"${gueststatefile}"
eend 0
}
stop() {
local counter=
local dom_name=
local net_name=
local dom_ids=
local uuid=
local dom_count=
rm -f "${gueststatefile}"
[ $? -ne 0 ] && eerror "Unable to save domain state"
rm -f "${netstatefile}"
[ $? -ne 0 ] && eerror "Unable to save net state"
for uri in ${LIBVIRT_URIS}; do
einfo "Stopping libvirt domains and networks for ${uri}"
libvirtd_dom_stop "${uri}" "--persistent"
libvirtd_dom_stop "${uri}" "--transient"
libvirtd_net_stop "${uri}" "--persistent"
libvirtd_net_stop "${uri}" "--transient"
einfo "Done stopping domains and networks for ${uri}"
done
}

Binary file not shown.

@ -1,10 +1,7 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="project">
<email>net-mail@gentoo.org</email>
<name>Net-Mail</name>
</maintainer>
<!-- maintainer-needed -->
<longdescription>abook is a text-based addressbook program for the mutt mail client.</longdescription>
<upstream>
<remote-id type="sourceforge">abook</remote-id>

@ -5,8 +5,4 @@
<email>djc@gentoo.org</email>
<name>Dirkjan Ochtman</name>
</maintainer>
<maintainer type="project">
<email>net-mail@gentoo.org</email>
<name>Net-Mail</name>
</maintainer>
</pkgmetadata>

@ -1,43 +0,0 @@
--- a/test/broker/Makefile 2016-06-02 22:20:22.000000000 +0100
+++ b/test/broker/Makefile 2016-07-08 14:17:33.772666865 +0100
@@ -63,6 +63,7 @@
./05-clean-session-qos1.py
06 :
+ifeq ($(WITH_BRIDGE),yes)
./06-bridge-reconnect-local-out.py
./06-bridge-br2b-disconnect-qos1.py
./06-bridge-br2b-disconnect-qos2.py
@@ -70,6 +71,7 @@
./06-bridge-b2br-disconnect-qos2.py
./06-bridge-fail-persist-resend-qos1.py
./06-bridge-fail-persist-resend-qos2.py
+endif
07 :
./07-will-qos0.py
@@ -87,10 +89,12 @@
./08-ssl-connect-cert-auth-crl.py
./08-ssl-connect-identity.py
./08-ssl-connect-no-identity.py
+ifeq ($(WITH_BRIDGE),yes)
./08-ssl-bridge.py
./08-tls-psk-pub.py
./08-tls-psk-bridge.py
endif
+endif
09 :
./09-plugin-auth-unpwd-success.py
--- a/test/broker/c/Makefile 2016-02-14 14:36:55.000000000 +0000
+++ b/test/broker/c/Makefile 2016-05-05 09:40:31.440608209 +0100
@@ -13,7 +13,9 @@
$(CC) ${CFLAGS} $^ -o $@ ../../../lib/libmosquitto.so.1
08-tls-psk-bridge.test : 08-tls-psk-bridge.c
+ifeq ($(WITH_BRIDGE),yes)
$(CC) ${CFLAGS} $^ -o $@ ../../../lib/libmosquitto.so.1
+endif
reallyclean : clean

@ -1,29 +0,0 @@
# Fix missing rename of mosquitto__socket_get_address. Mosquitto bug 810.
diff --git a/src/conf.c b/src/conf.c
index f3d812d..daf2bf4 100644
--- a/src/conf.c
+++ b/src/conf.c
@@ -735,8 +735,8 @@ int config__read_file_core(struct mosquitto__config *config, bool reload, struct
struct mosquitto__listener *cur_listener = &config->default_listener;
#ifdef WITH_BRIDGE
char *address;
- int i;
#endif
+ int i;
int lineno_ext;
struct mosquitto__security_options *cur_security_options = NULL;
diff --git a/src/net.c b/src/net.c
index 7397de5..670b7e2 100644
--- a/src/net.c
+++ b/src/net.c
@@ -114,7 +114,7 @@ int net__socket_accept(struct mosquitto_db *db, mosq_sock_t listensock)
fromhost(&wrap_req);
if(!hosts_access(&wrap_req)){
/* Access is denied */
- if(!mosquitto__socket_get_address(new_sock, address, 1024)){
+ if(!net__socket_get_address(new_sock, address, 1024)){
log__printf(NULL, MOSQ_LOG_NOTICE, "Client connection from %s denied access by tcpd.", address);
}
COMPAT_CLOSE(new_sock);

@ -1,12 +0,0 @@
--- a/test/broker/c/Makefile 2016-02-14 14:36:55.000000000 +0000
+++ b/test/broker/c/Makefile 2016-05-05 09:40:31.440608209 +0100
@@ -13,7 +13,9 @@
$(CC) ${CFLAGS} $^ -o $@ ../../../lib/libmosquitto.so.1
08-tls-psk-bridge.test : 08-tls-psk-bridge.c
+ifeq ($(WITH_BRIDGE),yes)
$(CC) ${CFLAGS} $^ -o $@ ../../../lib/libmosquitto.so.1
+endif
reallyclean : clean

Binary file not shown.

@ -11,7 +11,7 @@ LICENSE="GPL-3"
SLOT="0"
[[ ${PV} == 9999 ]] ||
KEYWORDS="~x64-cygwin ~amd64-linux ~x86-linux ~x86-winnt"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris ~x86-winnt"
DEPEND=""
RDEPEND="

Binary file not shown.

@ -1,8 +1,5 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="project">
<email>net-mail@gentoo.org</email>
<name>Net-Mail</name>
</maintainer>
<!-- maintainer-needed -->
</pkgmetadata>

Binary file not shown.

@ -24,7 +24,7 @@ SLOT="0"
IUSE="asan clang debug doc +jit static-libs optimize ubsan"
RDEPEND="dev-libs/libatomic_ops
dev-libs/libuv
>=dev-libs/libuv-1.26
dev-lang/lua:=
virtual/libffi"
DEPEND="${RDEPEND}

@ -1,37 +0,0 @@
From 2e7c906c085a01ea8175a19e1e143257abc8f566 Mon Sep 17 00:00:00 2001
From: Mike Gilbert <floppym@gentoo.org>
Date: Sun, 30 Jul 2017 11:17:39 -0400
Subject: [PATCH] blake2: remove commented code
The nested comments cause a build failure.
Bug: https://bugs.gentoo.org/608586
---
Modules/_blake2/impl/blake2s-load-xop.h | 11 -----------
1 file changed, 11 deletions(-)
diff --git a/Modules/_blake2/impl/blake2s-load-xop.h b/Modules/_blake2/impl/blake2s-load-xop.h
index a3b5d65e2d..7e76c399c6 100644
--- a/Modules/_blake2/impl/blake2s-load-xop.h
+++ b/Modules/_blake2/impl/blake2s-load-xop.h
@@ -18,17 +18,6 @@
#define TOB(x) ((x)*4*0x01010101 + 0x03020100) /* ..or not TOB */
-/* Basic VPPERM emulation, for testing purposes */
-/*static __m128i _mm_perm_epi8(const __m128i src1, const __m128i src2, const __m128i sel)
-{
- const __m128i sixteen = _mm_set1_epi8(16);
- const __m128i t0 = _mm_shuffle_epi8(src1, sel);
- const __m128i s1 = _mm_shuffle_epi8(src2, _mm_sub_epi8(sel, sixteen));
- const __m128i mask = _mm_or_si128(_mm_cmpeq_epi8(sel, sixteen),
- _mm_cmpgt_epi8(sel, sixteen)); /* (>=16) = 0xff : 00 */
- return _mm_blendv_epi8(t0, s1, mask);
-}*/
-
#define LOAD_MSG_0_1(buf) \
buf = _mm_perm_epi8(m0, m1, _mm_set_epi32(TOB(6),TOB(4),TOB(2),TOB(0)) );
--
2.13.3

@ -1,137 +0,0 @@
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI="5"
WANT_AUTOCONF="2.1"
PYTHON_COMPAT=( python2_7 )
PYTHON_REQ_USE="threads"
inherit eutils toolchain-funcs multilib python-any-r1 versionator pax-utils
MY_PN="mozjs"
MY_P="${MY_PN}${PV}"
DESCRIPTION="Stand-alone JavaScript C library"
HOMEPAGE="https://developer.mozilla.org/en-US/docs/Mozilla/Projects/SpiderMonkey"
SRC_URI="http://archive.mozilla.org/pub/js/${MY_PN}${PV}.tar.gz
https://dev.gentoo.org/~axs/distfiles/${PN}-slot17-patches-01.tar.xz"
LICENSE="NPL-1.1"
SLOT="17"
# "MIPS, MacroAssembler is not supported" wrt #491294 for -mips
KEYWORDS="alpha amd64 arm -hppa ia64 -mips ppc ppc64 ~s390 ~sh ~sparc x86 ~x86-fbsd"
IUSE="debug jit minimal static-libs test"
REQUIRED_USE="debug? ( jit )"
RESTRICT="ia64? ( test )"
S="${WORKDIR}/${MY_P}"
BUILDDIR="${S}/js/src"
RDEPEND=">=dev-libs/nspr-4.9.4
virtual/libffi
sys-libs/readline:0=
>=sys-libs/zlib-1.1.4"
DEPEND="${RDEPEND}
${PYTHON_DEPS}
app-arch/zip
virtual/pkgconfig"
pkg_setup(){
if [[ ${MERGE_TYPE} != "binary" ]]; then
python-any-r1_pkg_setup
export LC_ALL="C"
fi
}
src_prepare() {
epatch "${WORKDIR}"/sm17/${PN}-${SLOT}-js-config-shebang.patch
epatch "${WORKDIR}"/sm17/${PN}-${SLOT}-ia64-mmap.patch
epatch "${WORKDIR}"/sm17/${PN}-17.0.0-fix-file-permissions.patch
# https://bugs.gentoo.org/show_bug.cgi?id=552786
epatch "${FILESDIR}"/${PN}-perl-defined-array-check.patch
# Remove obsolete jsuword bug #506160
sed -i -e '/jsuword/d' "${BUILDDIR}"/jsval.h ||die "sed failed"
epatch_user
if [[ ${CHOST} == *-freebsd* ]]; then
# Don't try to be smart, this does not work in cross-compile anyway
ln -sfn "${BUILDDIR}/config/Linux_All.mk" "${S}/config/$(uname -s)$(uname -r).mk" || die
fi
}
src_configure() {
cd "${BUILDDIR}" || die
CC="$(tc-getCC)" CXX="$(tc-getCXX)" \
AR="$(tc-getAR)" RANLIB="$(tc-getRANLIB)" \
LD="$(tc-getLD)" \
econf \
${myopts} \
--enable-jemalloc \
--enable-readline \
--enable-threadsafe \
--with-system-nspr \
--enable-system-ffi \
--enable-jemalloc \
$(use_enable debug) \
$(use_enable jit tracejit) \
$(use_enable jit methodjit) \
$(use_enable static-libs static) \
$(use_enable test tests)
}
cross_make() {
emake \
CFLAGS="${BUILD_CFLAGS}" \
CXXFLAGS="${BUILD_CXXFLAGS}" \
AR="${BUILD_AR}" \
CC="${BUILD_CC}" \
CXX="${BUILD_CXX}" \
RANLIB="${BUILD_RANLIB}" \
"$@"
}
src_compile() {
cd "${BUILDDIR}" || die
if tc-is-cross-compiler; then
tc-export_build_env BUILD_{AR,CC,CXX,RANLIB}
cross_make host_jsoplengen host_jskwgen
cross_make -C config nsinstall
mv {,native-}host_jskwgen || die
mv {,native-}host_jsoplengen || die
mv config/{,native-}nsinstall || die
sed -i \
-e 's@./host_jskwgen@./native-host_jskwgen@' \
-e 's@./host_jsoplengen@./native-host_jsoplengen@' \
Makefile || die
sed -i -e 's@/nsinstall@/native-nsinstall@' config/config.mk || die
rm -f config/host_nsinstall.o \
config/host_pathsub.o \
host_jskwgen.o \
host_jsoplengen.o || die
fi
emake
}
src_test() {
cd "${BUILDDIR}/jsapi-tests" || die
emake check
}
src_install() {
cd "${BUILDDIR}" || die
emake DESTDIR="${D}" install
if ! use minimal; then
if use jit; then
pax-mark m "${ED}/usr/bin/js${SLOT}"
fi
else
rm -f "${ED}/usr/bin/js${SLOT}"
fi
if ! use static-libs; then
# We can't actually disable building of static libraries
# They're used by the tests and in a few other places
find "${D}" -iname '*.a' -delete || die
fi
}

@ -1,154 +0,0 @@
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI="5"
WANT_AUTOCONF="2.1"
PYTHON_COMPAT=( python2_7 )
PYTHON_REQ_USE="threads"
inherit autotools eutils toolchain-funcs multilib python-any-r1 versionator pax-utils
MY_PN="mozjs"
MY_P="${MY_PN}-${PV/_/.}"
DESCRIPTION="Stand-alone JavaScript C library"
HOMEPAGE="https://developer.mozilla.org/en-US/docs/Mozilla/Projects/SpiderMonkey"
SRC_URI="https://archive.mozilla.org/pub/js/${MY_P}.tar.bz2
https://dev.gentoo.org/~axs/distfiles/${PN}-slot24-patches-01.tar.xz"
LICENSE="NPL-1.1"
SLOT="24"
KEYWORDS="alpha amd64 arm hppa ia64 ~mips ppc ppc64 ~s390 ~sh ~sparc x86 ~x86-fbsd"
IUSE="debug icu jit minimal static-libs +system-icu test"
RESTRICT="ia64? ( test )"
S="${WORKDIR}/${MY_P%.rc*}"
BUILDDIR="${S}/js/src"
RDEPEND=">=dev-libs/nspr-4.9.4
virtual/libffi
sys-libs/readline:0=
>=sys-libs/zlib-1.1.4
system-icu? ( >=dev-libs/icu-1.51:= )"
DEPEND="${RDEPEND}
${PYTHON_DEPS}
app-arch/zip
virtual/pkgconfig"
pkg_setup(){
if [[ ${MERGE_TYPE} != "binary" ]]; then
python-any-r1_pkg_setup
export LC_ALL="C"
fi
}
src_prepare() {
epatch "${WORKDIR}"/sm24/${PN}-${SLOT}-system-icu.patch
epatch "${WORKDIR}"/sm24/${PN}-24.2.0-fix-file-permissions.patch
epatch "${WORKDIR}"/sm24/${PN}-${SLOT}-upward-growing-stack.patch
# https://bugs.gentoo.org/show_bug.cgi?id=552786
epatch "${FILESDIR}"/${PN}-perl-defined-array-check.patch
epatch_user
if [[ ${CHOST} == *-freebsd* ]]; then
# Don't try to be smart, this does not work in cross-compile anyway
ln -sfn "${BUILDDIR}/config/Linux_All.mk" "${S}/config/$(uname -s)$(uname -r).mk" || die
fi
cd "${BUILDDIR}" || die
eautoconf
}
src_configure() {
export SHELL=/bin/sh
cd "${BUILDDIR}" || die
local myopts=""
if use icu; then # make sure system-icu flag only affects icu-enabled build
myopts+="$(use_with system-icu)"
else
myopts+="--without-system-icu"
fi
CC="$(tc-getCC)" CXX="$(tc-getCXX)" \
AR="$(tc-getAR)" RANLIB="$(tc-getRANLIB)" \
LD="$(tc-getLD)" \
econf \
${myopts} \
--enable-jemalloc \
--enable-readline \
--enable-threadsafe \
--with-system-nspr \
--enable-system-ffi \
--disable-optimize \
$(use_enable icu intl-api) \
$(use_enable debug) \
$(use_enable jit yarr-jit) \
$(use_enable jit ion) \
$(use_enable static-libs static) \
$(use_enable test tests)
}
cross_make() {
emake \
CFLAGS="${BUILD_CFLAGS}" \
CXXFLAGS="${BUILD_CXXFLAGS}" \
AR="${BUILD_AR}" \
CC="${BUILD_CC}" \
CXX="${BUILD_CXX}" \
RANLIB="${BUILD_RANLIB}" \
"$@"
}
src_compile() {
cd "${BUILDDIR}" || die
if tc-is-cross-compiler; then
tc-export_build_env BUILD_{AR,CC,CXX,RANLIB}
cross_make \
MOZ_OPTIMIZE_FLAGS="" MOZ_DEBUG_FLAGS="" \
HOST_OPTIMIZE_FLAGS="" MODULE_OPTIMIZE_FLAGS="" \
MOZ_PGO_OPTIMIZE_FLAGS="" \
host_jsoplengen host_jskwgen
cross_make \
MOZ_OPTIMIZE_FLAGS="" MOZ_DEBUG_FLAGS="" HOST_OPTIMIZE_FLAGS="" \
-C config nsinstall
mv {,native-}host_jskwgen || die
mv {,native-}host_jsoplengen || die
mv config/{,native-}nsinstall || die
sed -i \
-e 's@./host_jskwgen@./native-host_jskwgen@' \
-e 's@./host_jsoplengen@./native-host_jsoplengen@' \
Makefile || die
sed -i -e 's@/nsinstall@/native-nsinstall@' config/config.mk || die
rm -f config/host_nsinstall.o \
config/host_pathsub.o \
host_jskwgen.o \
host_jsoplengen.o || die
fi
emake \
MOZ_OPTIMIZE_FLAGS="" MOZ_DEBUG_FLAGS="" \
HOST_OPTIMIZE_FLAGS="" MODULE_OPTIMIZE_FLAGS="" \
MOZ_PGO_OPTIMIZE_FLAGS=""
}
src_test() {
cd "${BUILDDIR}/jsapi-tests" || die
emake check
}
src_install() {
cd "${BUILDDIR}" || die
emake DESTDIR="${D}" install
if ! use minimal; then
if use jit; then
pax-mark m "${ED}/usr/bin/js${SLOT}"
fi
else
rm -f "${ED}/usr/bin/js${SLOT}"
fi
if ! use static-libs; then
# We can't actually disable building of static libraries
# They're used by the tests and in a few other places
find "${D}" -iname '*.a' -delete || die
fi
}

@ -17,7 +17,7 @@ SRC_URI="https://dev.gentoo.org/~axs/distfiles/${MY_P}.tar.bz2
LICENSE="NPL-1.1"
SLOT="60"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~x86-fbsd"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~x86-fbsd"
IUSE="debug +jit minimal +system-icu test"
RESTRICT="ia64? ( test )"

Binary file not shown.

@ -12,22 +12,37 @@ EGIT_REPO_URI="https://github.com/Cloudef/bemenu.git"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS=""
IUSE="doc"
IUSE="doc ncurses wayland X"
# Require at least one backend be built
REQUIRED_USE="|| ( ncurses wayland X )"
DEPEND="
x11-libs/cairo
x11-libs/pango
dev-libs/wayland
x11-libs/libxcb
dev-libs/wayland-protocols
sys-libs/ncurses:0
x11-libs/libXext
x11-libs/libX11"
ncurses? ( sys-libs/ncurses:0 )
wayland? (
dev-libs/wayland
dev-libs/wayland-protocols
x11-libs/cairo
x11-libs/pango
)
X? (
x11-libs/libxcb
x11-libs/libXext
x11-libs/libX11
x11-libs/cairo[X]
x11-libs/pango[X]
)
"
RDEPEND="${DEPEND}"
BDEPEND="doc? ( app-doc/doxygen )"
src_configure() {
local mycmakeargs=(-DCURSES_LIBRARY=/usr/$(get_libdir)/libncursesw.so)
local mycmakeargs=(
-DCURSES_LIBRARY=/usr/$(get_libdir)/libncursesw.so
-DBEMENU_CURSES_RENDERER=$(usex ncurses ON OFF)
-DBEMENU_WAYLAND_RENDERER=$(usex wayland ON OFF)
-DBEMENU_X11_RENDERER=$(usex X ON OFF)
)
cmake-utils_src_configure
}

@ -1,10 +1,7 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="project">
<email>net-mail@gentoo.org</email>
<name>Net-Mail</name>
</maintainer>
<!-- maintainer-needed -->
<use>
<flag name="authdaemond">Add Courier-IMAP authdaemond unix socket
support (<pkg>net-mail/courier-imap</pkg>, <pkg>mail-mta/courier</pkg>)

@ -1,2 +1,3 @@
DIST leatherman-1.3.0.tar.gz 434229 BLAKE2B e0c19bca2378afc4928554ac0862543504ba725aadc6cffd78220f7f7f1b725cad960fc6d9fdd2d54a43c233b35959ebcb9c71d1191a5535703599fa32e3301e SHA512 5e06be7add652f69b0d4a8d778e33dfb68183c4d598217cc6542d2431f7984f0af989c27bd69e89b77ab03d6dd2adab9d70f68cd87dae20d8e24ae05923fbe9b
DIST leatherman-1.5.4.tar.gz 814395 BLAKE2B 251cacad45e1571d54e7b78201bb0b3578d983022267bfd3438e921f93ba466995629759d9657c71938a5866fc13d1b70dabe2f3a43137ef52164f67da3a8aa5 SHA512 67a3a0a946024d0cee44ccb314d13abb3df83d7c7d0bfe58d5e966d57ef26240dc011a8e6865f017674a00043429379ae9e033a9197c4173c3fa173918d0b0f9
DIST leatherman-1.6.0.tar.gz 814463 BLAKE2B 1c990c261ded1fd32bb5b1912f84a4bef8ac3ccfae9172e0496f90283e1a2ac210bf9dc1c7e88bcb8776798674d93c1313359135051b4c7f023e1e3080104e2e SHA512 d0d22b60db2c164183268d29fe1bc1ee9ed16797d38174849eaa74841f801869d038e5672664aae89517487811a70f689a345a2c87d3a2f0a04d55214e7f9eaa

@ -0,0 +1,58 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit cmake-utils multilib
DESCRIPTION="A C++ toolkit"
HOMEPAGE="https://github.com/puppetlabs/leatherman"
SRC_URI="https://github.com/puppetlabs/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="Apache-2.0"
IUSE="debug static-libs test"
KEYWORDS="~amd64 ~arm ~hppa ~ppc ~ppc64 ~sparc ~x86"
SLOT="0/${PV}"
RDEPEND="net-misc/curl"
DEPEND=">=dev-libs/boost-1.54:=[nls]
net-misc/curl
>=sys-devel/gcc-4.8:*"
PATCHES=( "${FILESDIR}"/portage-sandbox-test-fix.patch )
src_prepare() {
sed -i 's/\-Werror\ //g' "cmake/cflags.cmake" || die
cmake-utils_src_prepare
}
src_configure() {
local mycmakeargs=(
-DCMAKE_VERBOSE_MAKEFILE=ON
-DCMAKE_BUILD_TYPE=None
-DCMAKE_INSTALL_PREFIX=/usr
)
if ! use static-libs; then
mycmakeargs+=(
-DLEATHERMAN_SHARED=ON
)
else
mycmakeargs+=(
-DLEATHERMAN_SHARED=OFF
)
fi
if use debug; then
mycmakeargs+=(
-DCMAKE_BUILD_TYPE=Debug
)
fi
cmake-utils_src_configure
}
src_test() {
"${WORKDIR}/${P}"_build/bin/leatherman_test
}
src_install() {
cmake-utils_src_install
}

@ -9,7 +9,7 @@ SRC_URI="https://github.com/OpenSC/${PN}/releases/download/${P}/${P}.tar.gz"
LICENSE="LGPL-2.1"
SLOT="0"
KEYWORDS="~alpha amd64 ~arm hppa ia64 ppc ppc64 ~s390 ~sh sparc ~x86"
KEYWORDS="~alpha amd64 arm hppa ia64 ppc ppc64 ~s390 ~sh sparc ~x86"
IUSE="libressl bindist doc static-libs"
RDEPEND="

@ -11,7 +11,7 @@ SRC_URI="mirror://gnu/${PN}/${P}.tar.gz"
LICENSE="|| ( LGPL-3 LGPL-2.1 )"
SLOT="0/6.2" # subslot = libnettle soname version, .2 as broke ABI bug#601512 then fixed
KEYWORDS="~alpha amd64 ~arm ~arm64 hppa ia64 ~mips ppc ppc64 s390 ~sh sparc ~x86 ~x64-cygwin ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="~alpha amd64 arm ~arm64 hppa ia64 ~mips ppc ppc64 s390 ~sh sparc ~x86 ~x64-cygwin ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="doc +gmp neon static-libs test cpu_flags_x86_aes"
DEPEND="gmp? ( >=dev-libs/gmp-6.0:0=[${MULTILIB_USEDEP}] )"

@ -1,10 +1,7 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="project">
<email>net-mail@gentoo.org</email>
<name>Net-Mail</name>
</maintainer>
<!-- maintainer-needed -->
<upstream>
<remote-id type="cpan">File-Scan-ClamAV</remote-id>
<remote-id type="cpan-module">File::Scan::ClamAV</remote-id>

Binary file not shown.

Binary file not shown.

@ -1,4 +1,4 @@
# Copyright 1999-2017 Gentoo Foundation
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=5
@ -8,7 +8,7 @@ PYTHON_COMPAT=( python{2_7,3_4,3_5} )
inherit distutils-r1
DESCRIPTION="Next generation Python numpy"
HOMEPAGE="http://blaze.pydata.org/"
HOMEPAGE="https://blaze.pydata.org https://blaze.readthedocs.io/en/latest/"
SRC_URI="https://github.com/ContinuumIO/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="BSD"

@ -1,4 +1,4 @@
# Copyright 1999-2018 Gentoo Foundation
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@ -8,7 +8,7 @@ PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} )
inherit distutils-r1
DESCRIPTION="Next generation Python numpy"
HOMEPAGE="http://blaze.readthedocs.io/"
HOMEPAGE="https://blaze.pydata.org https://blaze.readthedocs.io/en/latest/"
SRC_URI="https://github.com/blaze/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="BSD"

@ -1,4 +1,4 @@
# Copyright 1999-2018 Gentoo Foundation
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@ -8,7 +8,7 @@ PYTHON_COMPAT=( python2_7 python3_{4,5,6} )
inherit distutils-r1
DESCRIPTION="Sphinx Doxygen renderer"
HOMEPAGE="http://breathe.readthedocs.io/"
HOMEPAGE="https://breathe.readthedocs.io/en/latest/"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="BSD"

@ -1,4 +1,4 @@
# Copyright 1999-2018 Gentoo Foundation
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@ -9,7 +9,7 @@ inherit distutils-r1
DESCRIPTION="A Python package for creating beautiful command line interfaces"
SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
HOMEPAGE="http://click.pocoo.org/ https://pypi.org/project/click/"
HOMEPAGE="https://palletsprojects.com/p/click/ https://pypi.org/project/click/"
LICENSE="BSD"
SLOT="0"

@ -1,4 +1,4 @@
# Copyright 1999-2017 Gentoo Foundation
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@ -9,7 +9,7 @@ inherit distutils-r1
DESCRIPTION="A Python package for creating beautiful command line interfaces"
SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
HOMEPAGE="http://click.pocoo.org/ https://pypi.org/project/click/"
HOMEPAGE="https://palletsprojects.com/p/click/ https://pypi.org/project/click/"
LICENSE="BSD"
SLOT="0"

@ -1,4 +1,4 @@
# Copyright 1999-2018 Gentoo Foundation
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@ -9,7 +9,7 @@ inherit distutils-r1
DESCRIPTION="A Python package for creating beautiful command line interfaces"
SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
HOMEPAGE="http://click.pocoo.org/ https://pypi.org/project/click/"
HOMEPAGE="https://palletsprojects.com/p/click/ https://pypi.org/project/click/"
LICENSE="BSD"
SLOT="0"

@ -1,4 +1,4 @@
# Copyright 1999-2018 Gentoo Foundation
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@ -9,7 +9,7 @@ inherit distutils-r1
DESCRIPTION="A Python package for creating beautiful command line interfaces"
SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
HOMEPAGE="http://click.pocoo.org/ https://pypi.org/project/click/"
HOMEPAGE="https://palletsprojects.com/p/click/ https://pypi.org/project/click/"
LICENSE="BSD"
SLOT="0"

@ -9,7 +9,7 @@ inherit distutils-r1
DESCRIPTION="A Python package for creating beautiful command line interfaces"
SRC_URI="https://github.com/pallets/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
HOMEPAGE="http://click.pocoo.org/ https://pypi.org/project/click/"
HOMEPAGE="https://palletsprojects.com/p/click/ https://pypi.org/project/click/"
LICENSE="BSD"
SLOT="0"

@ -1,4 +1,4 @@
# Copyright 1999-2018 Gentoo Foundation
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@ -7,7 +7,7 @@ PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} )
inherit distutils-r1
DESCRIPTION="A powerful declarative parser for binary data"
HOMEPAGE="http://construct.readthedocs.io/ https://pypi.org/project/construct/"
HOMEPAGE="https://construct.readthedocs.io/en/latest/ https://pypi.org/project/construct/"
SRC_URI="https://github.com/construct/construct/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="MIT"

@ -1,4 +1,4 @@
# Copyright 1999-2018 Gentoo Foundation
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@ -7,7 +7,7 @@ PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} )
inherit distutils-r1
DESCRIPTION="A powerful declarative parser for binary data"
HOMEPAGE="http://construct.readthedocs.io/ https://pypi.org/project/construct/"
HOMEPAGE="https://construct.readthedocs.io/en/latest/ https://pypi.org/project/construct/"
SRC_URI="https://github.com/construct/construct/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="MIT"

@ -1,4 +1,4 @@
# Copyright 1999-2017 Gentoo Foundation
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@ -8,7 +8,7 @@ PYTHON_COMPAT=( python2_7 python3_{4,5} )
inherit distutils-r1
DESCRIPTION="Task scheduling and blocked algorithms for parallel processing"
HOMEPAGE="http://dask.pydata.org/"
HOMEPAGE="https://dask.org/"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="BSD"

@ -1,4 +1,4 @@
# Copyright 1999-2018 Gentoo Foundation
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@ -8,7 +8,7 @@ PYTHON_COMPAT=( python2_7 python3_{4,5,6} )
inherit distutils-r1
DESCRIPTION="Task scheduling and blocked algorithms for parallel processing"
HOMEPAGE="http://dask.pydata.org/"
HOMEPAGE="https://dask.org/"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="BSD"

@ -1,4 +1,4 @@
# Copyright 1999-2018 Gentoo Foundation
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@ -8,7 +8,7 @@ PYTHON_COMPAT=( python2_7 python3_{5,6} )
inherit distutils-r1
DESCRIPTION="Task scheduling and blocked algorithms for parallel processing"
HOMEPAGE="http://dask.pydata.org/"
HOMEPAGE="https://dask.org/"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="BSD"

@ -8,7 +8,7 @@ PYTHON_COMPAT=( python2_7 python3_{5,6} )
inherit distutils-r1
DESCRIPTION="Task scheduling and blocked algorithms for parallel processing"
HOMEPAGE="http://dask.pydata.org/"
HOMEPAGE="https://dask.org/"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="BSD"

@ -1,4 +1,4 @@
# Copyright 1999-2018 Gentoo Foundation
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@ -8,7 +8,7 @@ PYTHON_COMPAT=( python2_7 python3_{5,6} )
inherit distutils-r1
DESCRIPTION="Python library for distributed computation"
HOMEPAGE="http://distributed.readthedocs.io/"
HOMEPAGE="https://distributed.readthedocs.io/en/latest/"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="BSD"

@ -1,4 +1,4 @@
# Copyright 1999-2018 Gentoo Foundation
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@ -8,7 +8,7 @@ PYTHON_COMPAT=( python2_7 python3_{4,5,6} )
inherit distutils-r1
DESCRIPTION="Python library for distributed computation"
HOMEPAGE="http://distributed.readthedocs.io/"
HOMEPAGE="https://distributed.readthedocs.io/en/latest/"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="BSD"

@ -1,4 +1,4 @@
# Copyright 1999-2017 Gentoo Foundation
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@ -8,7 +8,7 @@ PYTHON_COMPAT=( python2_7 python3_{4,5,6} )
inherit distutils-r1
DESCRIPTION="Reliable machine-readable Linux distribution information for Python"
HOMEPAGE="http://distro.readthedocs.io/"
HOMEPAGE="https://distro.readthedocs.io/en/latest/"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
SLOT="0"

@ -1,2 +1,3 @@
DIST flexmock-0.10.2.tar.gz 44425 BLAKE2B e49db5b7a4a739f72a2560c52d0493cc284641f7c54d11e67a4c40ae3681ed2ca22fdc17c9f8ffc667bef409e1ecb5e36acdcd73a968984a38992927ff7c416f SHA512 6824da47af260a93ad685b66bcbd2d9a93f98eec218242e0dd9ef885594d9218e4c7170c832a0b3ea3cf201896ec1efc2afacbffe1fc5dab032240369d7b3ac3
DIST flexmock-0.10.3.tar.gz 45017 BLAKE2B 03e6a709bd6c7889fa91692c27041f3d8109a57aa188a7043d5f45f757dd2bf929f80b9e57375bf7835ec4a88f032ed026c183320098546862f30c6bfedf6e8d SHA512 9c19e7a6765e57789065e6f5940270f5c0395194eddd8fedaf0abe52e0ffaaa33945385e981285caa1b7facb58be92b76dd0f370c242216626a30ab97b926bd1
DIST flexmock-0.10.4.tar.gz 45362 BLAKE2B 4ff79cff3b0d8fb0c97bd60b0d5aa5555a7b939d3d6275a17c9bd1002b1d7acb53d4f63f5f834faf0d349d8b8d429eb063f121c4d7b6d12aa1bb3e7bdbadb861 SHA512 d190fcb66f0c2c4e3be2384d68b95a22c695ffa0fe8f8a218f2baa68c91683641396197cac69ddab21e4b0990b9930f56423bb7cd85770ceade9c22ece72cedc

@ -0,0 +1,33 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python3_{5,6,7} )
inherit distutils-r1
DESCRIPTION="Testing library to create mocks, stubs and fakes"
HOMEPAGE="http://flexmock.readthedocs.org/"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64"
IUSE="test"
DEPEND="
test? (
dev-python/pytest[${PYTHON_USEDEP}]
)
"
RDEPEND=""
python_install_all() {
distutils-r1_python_install_all
dodoc -r docs
}
python_test() {
pytest -vv tests || die "pytest failed"
}

@ -0,0 +1 @@
DIST importlib_resources-1.0.2.tar.gz 23605 BLAKE2B 813f913a779115575f3cab6f5be8f9e7ea706a6f0e47bc0bb29439901515b435c33975f6b1fd96d74140e488b0bd98aca3331e0d69940153b348891fd5f4f400 SHA512 3b7b254abdf2cb8ee0abf1608123c49de05d1eada081567a0e083d1f496f37643b81e771490b414dcf56672a7e7ea9aa6dd6b77ea8206d3a97e81ad69da7e927

@ -0,0 +1,27 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python2_7 python3_{5,6} )
inherit distutils-r1
DESCRIPTION="Read resources from Python packages"
HOMEPAGE="https://importlib-resources.readthedocs.io/en/latest/"
SRC_URI="https://gitlab.com/python-devs/${PN}/-/archive/${PV}/${P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64"
IUSE="test"
DEPEND="
dev-python/setuptools[${PYTHON_USEDEP}]
dev-python/wheel[${PYTHON_USEDEP}]"
RDEPEND="${DEPEND}"
python_test() {
esetup.py test
}

@ -0,0 +1,22 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>gentoo@seichter.de</email>
<name>Ralph Seichter</name>
</maintainer>
<maintainer type="project">
<email>proxy-maint@gentoo.org</email>
<name>Proxy Maintainers</name>
</maintainer>
<longdescription>
Backport of Python 3.7s standard library importlib.resources
module for Python 2.7, and 3.4 through 3.6. Users of Python
3.7 and beyond are encouraged to use the standard library
module, and in fact for these versions, importlib_resources
just shadows that module.
</longdescription>
<upstream>
<remote-id type="gitlab">python-devs/importlib_resources</remote-id>
</upstream>
</pkgmetadata>

@ -1,2 +1,3 @@
DIST kazoo-2.2.1.tar.gz 108037 BLAKE2B 23b6b762469df40304cb0d9228dee63875e7c062557e0dcfd383db792c7544b19fbb4fc91a62035a2455b5a2715a57bcd4a68521cf698f01815cec20765420c8 SHA512 a2590441a9e3bfb3d14913051453e195d275b82bd6a4ce5e32d0a7bbc09b00e475ffac68fd06cb065aa439ea580b61bbeaa3ccfefa413723e46f4b1d3ce05707
DIST kazoo-2.5.0.tar.gz 147189 BLAKE2B f90662d78698d4ba8c9a88cd4eba826df104dd746323ce92644707e22ab711ca5fafb79bbec71c4059637232eab4b510b9544871201ba8d6758618d5a79f97c8 SHA512 cb85a33f2d0aa71fc5a82e7046e5d331417df865c1a4bc18266cee65ffd6c36e12cd4058ee591214ec83225a9b3ee193587f3d07b5c1436cc715a403364ec1af
DIST kazoo-2.6.1.tar.gz 157425 BLAKE2B af05ee5fb1d532ebc3352de004062f1ff976825f564212f2db76efc153566106ffa520745a8e8cc6a78ca2bf0d17556f978a6b462e4153e9b3ee5258e78a1d82 SHA512 613e8271bfd6c8f5ee976b6ee460478c7faad46b32995125a64312208b38755888690cd46b913ff44ba52aeb36de3ec3dd8e222985af77e99f43963a3eb48d48

@ -0,0 +1,52 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python2_7 python3_{5,6} )
inherit distutils-r1
DESCRIPTION="A high-level Python library that makes it easier to use Apache Zookeeper"
HOMEPAGE="https://kazoo.readthedocs.org/ https://github.com/python-zk/kazoo/ https://pypi.org/project/kazoo/"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~arm64 ~x86"
IUSE="doc gevent test"
RDEPEND="
dev-python/six[${PYTHON_USEDEP}]
gevent? ( dev-python/gevent[$(python_gen_usedep 'python2*')] )
"
DEPEND="${RDEPEND}
dev-python/setuptools[${PYTHON_USEDEP}]
doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )
test? (
dev-python/mock[${PYTHON_USEDEP}]
dev-python/nose[${PYTHON_USEDEP}]
dev-python/graphviz[${PYTHON_USEDEP}]
$(python_gen_cond_dep dev-python/eventlet 'python2*')
$(python_gen_cond_dep dev-python/gevent 'python2*')
>=dev-python/objgraph-3.4.0[${PYTHON_USEDEP}]
)
"
# requires zookeeper running to test
RESTRICT="test"
python_compile_all() {
if use doc; then
sphinx-build -b html docs docs/_build/html || die
fi
}
python_test() {
ZOOKEEPER_VERSION="2.6.1" esetup.py test || die
}
python_install_all() {
use doc && local HTML_DOCS=( docs/_build/html/. )
local DOCS=( {CHANGES,CONTRIBUTING,README}.md )
distutils-r1_python_install_all
}

@ -1,3 +1,4 @@
DIST objgraph-1.7.2.tar.gz 545016 BLAKE2B a124e5fff089704a7ec24a0e4983e8ab52a074a557a5b885f57819bf2ea5cc667ef0b007931b32be131ee56cb9d39798b20f999670ce7112b4f906c151298ce8 SHA512 22012031723060b47058c00cd97035b53238f8cf49c4e51b1f7735bf9c1d5aac9a5f0bcbe605317952f9b9390fc3bf247211082b4540e05cbf76670c27861ac2
DIST objgraph-1.8.1.tar.gz 549402 BLAKE2B 8694f051c9771f27aba0d6927ca15b230a388a6b9d153e9b7ea8e9878283165a4444850e9774c58fd0185b5debfe8aa85d6f94c838d0beb477ed98820312e205 SHA512 c09e66aecc5dadc5a6e3d93e0f97fa6e816c5cbe968540400ed3d1248b958c955648cb2b4247ba00cd2388302dbcc178c55686cd2b95858b965a2717c6ff0c90
DIST objgraph-3.1.0.tar.gz 629772 BLAKE2B afa34613d8b05399dec1429465d81b026000ac22c0d345289ce7b2c9c7cc0a0bb6db0054bc7f92ab8d0c69e2d40cf860dc46350951251c106e7718daa8efa0fc SHA512 4b997ff1942556fdeece39080ad00d915136d314add94e61e4b3102e332ce3fd029f7082fbbadeffae63f157f05f8af4871dc5b7ee26926d790fb043ad8f2130
DIST objgraph-3.4.0.tar.gz 634554 BLAKE2B d1e58370a50a9c9d8647c7633a780069581eec61cccef56e83b015f26a7ffbba6b872673d72dc138339b3c97a3f08c02067e203ddb1d1048ae6f3611e0837fca SHA512 f1e2b9f22dfdce56988bd40aaa865572c42688e73800bb7c188b903c67ef3726c03ba058ed30d40792133a2e2fe74d5ecda91be3de8cf7b80188ac0b9f6ac393

@ -0,0 +1,30 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python2_7 python3_{5,6,7} )
inherit distutils-r1
DESCRIPTION="Draws Python object reference graphs with graphviz"
HOMEPAGE="https://mg.pov.lt/objgraph/"
SRC_URI="mirror://pypi/o/${PN}/${P}.tar.gz"
LICENSE="MIT"
KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
SLOT="0"
IUSE="doc test"
RDEPEND="media-gfx/graphviz"
DEPEND="dev-python/setuptools
test? ( media-gfx/xdot )"
python_test() {
esetup.py test || die
}
python_install_all() {
use doc && local HTML_DOCS=( docs/* )
distutils-r1_python_install_all
}

@ -0,0 +1 @@
DIST pure-sasl-0.6.1.tar.gz 11553 BLAKE2B 17a3728e23b04cfcebd967ec4e40ab40ae72ebd18325579dfac52dbeac58ebee6e467f32a8030214cd976b2ae96e446afbc853c3e4233a61fa149d2910b1ecfc SHA512 f0e34fba460b03fb2348871859f79a21ac27df4be8b125a1652891efacd428a560673f42dff0993e87a3d80439f182e3a6e07b7c968cbfa3c86311c1592822a2

@ -0,0 +1,7 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="project">
<email>python@gentoo.org</email>
</maintainer>
</pkgmetadata>

@ -0,0 +1,32 @@
# Copyright 2019 Sony Interactive Entertainment Inc.
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python2_7 python3_7 )
inherit distutils-r1
DESCRIPTION="High-level SASL client written in pure Python"
HOMEPAGE="https://github.com/thobbs/pure-sasl"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="test"
RDEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
DEPEND="${RDEPEND}
test? (
dev-python/mock[${PYTHON_USEDEP}]
dev-python/nose[${PYTHON_USEDEP}]
dev-python/six[${PYTHON_USEDEP}]
$(python_gen_cond_dep dev-python/unittest2 'python2*')
)"
# tests aren't in dist tarball
RESTRICT="test"
python_test() {
nosetests -v || die
}

@ -1,4 +1,4 @@
# Copyright 1999-2017 Gentoo Foundation
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@ -8,7 +8,7 @@ PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} pypy{,3} )
inherit distutils-r1
DESCRIPTION="A simple and pragmatic library which accesses the Neo4j graph database"
HOMEPAGE="http://py2neo.org"
HOMEPAGE="https://py2neo.org/v3/"
SRC_URI="mirror://pypi/p/${PN}/${P}.tar.gz"
LICENSE="Apache-2.0"

@ -1,4 +1,4 @@
# Copyright 1999-2017 Gentoo Foundation
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@ -8,8 +8,8 @@ PYTHON_COMPAT=( python2_7 )
inherit eutils python-single-r1
DESCRIPTION="A Python wrapper for the Amazon web API"
HOMEPAGE="http://www.josephson.org/projects/pyamazon"
SRC_URI="http://www.josephson.org/projects/${PN}/files/${P}.zip"
HOMEPAGE="https://www.josephson.org/projects/pyamazon/"
SRC_URI="https://www.josephson.org/projects/${PN}/files/${P}.zip"
LICENSE="PSF-2"
SLOT="0"

@ -1,8 +1,8 @@
# Copyright 1999-2018 Gentoo Authors
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
PYTHON_COMPAT=( python3_{4,5,6,7} )
EAPI=7
PYTHON_COMPAT=( python3_{5,6,7} )
inherit distutils-r1
if [[ ${PV} == *9999 ]] ; then
@ -41,6 +41,6 @@ python_test() {
python_install_all() {
local DOCS=( NEWS.rst README.rst )
distutils-r1_python_install install_man
esetup.py install_man --mandir="${ED}/usr/share/man"
distutils-r1_python_install_all
}

@ -1,3 +1,4 @@
DIST pynacl-1.1.2.tar.gz 3149804 BLAKE2B 2ddf6728bfc5a8d5984ecf3fe054a7f36acf15b64d9ba42df93bb21940b9646997d59500825cdf04deeba9afbf4d227a016ad631211d18cba2ab1a38bdd89541 SHA512 ce9c720699fc3b808bb569ad9916f5f5ea97fbc49643117b014374ffaf77ce7972a530e9c4cfaca14dcffc8d676b5bce2facf6da99bf2fda4e319b772075e52e
DIST pynacl-1.2.0.tar.gz 3301645 BLAKE2B 7309409d7913bf1dee690a6fba5dd490de7a5cd41119e68115452a8c51317005d10eebfa7017f0a182f07bd20ef36f7b395c9461e3e7929cb1102b24afcb937b SHA512 ffc3b91766aad9d0d21c88c198ebb7520d204e58ffbcac815a382af7eaf9b489f85ae6c2fc4cfe4dd5e04576062bfe248bdcc08fb42bf184a73e41f4352c7bd1
DIST pynacl-1.2.1.tar.gz 3302051 BLAKE2B 96278368427c2b5f1d9508a5d9a36853a9c50390ee3ada20d6344e4f7f67fb3f1285c45794b863f129b48feff8a5a3d4a20796f69e832cec2aef26f27961d925 SHA512 15a3a84fed4d002072c185ca346c708ed0fb397ca3a8d0144caced635cc2e00e19603767cf9fcedc571cb4bf32c546141094ce44536dd117c3775efb2fc589b9
DIST pynacl-1.3.0.tar.gz 3405949 BLAKE2B e6a6444eed2cbf134ee6060ef382981f6bfb8396fbae30dc1e16f7702a559b7ea56889d9889adfea09ac6644732fafb98e07da99e3a41392303b6a45f0b494b1 SHA512 815c31a2069cbee1091d7e0ebf0b5572875c4a537311af561b5bce0b9d8051028e367a516b46481453d9780e60e9e7e2a4640d320164059c3974b0319d1cf96d

@ -0,0 +1,38 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python2_7 python3_{5,6,7})
inherit distutils-r1
DESCRIPTION="Python binding to the Networking and Cryptography (NaCl) library"
HOMEPAGE="https://github.com/pyca/pynacl/ https://pypi.org/project/PyNaCl/"
SRC_URI="https://github.com/pyca/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-fbsd"
IUSE="test"
RDEPEND="
dev-python/six[${PYTHON_USEDEP}]
>=dev-python/cffi-1.4.1[${PYTHON_USEDEP}]
dev-libs/libsodium:0/23
"
DEPEND="${RDEPEND}
dev-python/setuptools[${PYTHON_USEDEP}]
test? ( >=dev-python/hypothesis-3.27.0[${PYTHON_USEDEP}]
>=dev-python/pytest-3.2.1[${PYTHON_USEDEP}] )
"
src_prepare() {
# For not using the bundled libsodium
export SODIUM_INSTALL=system
distutils-r1_python_prepare_all
}
python_test() {
py.test -v || die "Tests failed under ${EPYTHON}"
}

@ -1,9 +1,9 @@
# Copyright 1999-2018 Gentoo Authors
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="7"
EAPI=7
PYTHON_COMPAT=( python2_7 python3_{4,5,6,7} )
PYTHON_COMPAT=( python2_7 python3_{5,6,7} )
inherit distutils-r1

@ -1,9 +1,9 @@
# Copyright 1999-2018 Gentoo Authors
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="7"
EAPI=7
PYTHON_COMPAT=( python2_7 python3_{4,5,6,7} )
PYTHON_COMPAT=( python2_7 python3_{5,6,7} )
inherit distutils-r1

@ -1,9 +1,9 @@
# Copyright 1999-2018 Gentoo Authors
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="7"
EAPI=7
PYTHON_COMPAT=( python2_7 python3_{4,5,6,7} )
PYTHON_COMPAT=( python2_7 python3_{5,6,7} )
inherit distutils-r1

@ -1,14 +1,15 @@
# Copyright 1999-2018 Gentoo Authors
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="7"
EAPI=7
MY_PN="RTIMULib"
MY_P="${MY_PN}-${PV}"
PYTHON_COMPAT=( python2_7 python3_{4,5,6,7} )
PYTHON_COMPAT=( python2_7 python3_{5,6,7} )
inherit distutils-r1
MY_PN="RTIMULib"
MY_P="${MY_PN}-${PV}"
DESCRIPTION="Python Binding for RTIMULib, a versatile IMU library"
HOMEPAGE="https://github.com/RPi-Distro/RTIMULib"
SRC_URI="https://github.com/RPi-Distro/${MY_PN}/archive/V${PV}.tar.gz -> ${MY_P}.tar.gz"

@ -13,7 +13,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
SLOT="0"
LICENSE="BSD"
KEYWORDS="~alpha amd64 arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="~alpha amd64 arm ~hppa ~ia64 ~ppc ~ppc64 sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
RDEPEND="dev-python/cffi:=[${PYTHON_USEDEP}]"
DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]

Binary file not shown.

@ -2,4 +2,5 @@ DIST facter-3.12.2.tar.gz 391789 BLAKE2B a4476dd37629aa770d66c2597d29a2bf46ae67d
DIST facter-3.12.3.tar.gz 391836 BLAKE2B 60ec23ab9df0d6ca069608c897949be8aaf719b2ab1b71455871a9364b7d0111ec78753cdb45d082041d2b028bac8e468a415a2bd9a15fe51dc69ec9738dc723 SHA512 d1568ca606b07c67f2e293b020dc5c2d399d5080857e47d3c748a7d104f75231d59dc95d54e5504b24f951ce540d1223102ee1b882e4495633ed89324ccc1c7b
DIST facter-3.12.4.tar.gz 392011 BLAKE2B 5e3d7ce65eb6c35cddba70b2b397cdc9c591a6c420a58a04ecddabdc537f0f799c510d14bba436aadbdce9c9932a28b6b36b893526a7727c8017c79827a97b9a SHA512 952bf1ac4c67bfb5170d31bca471c317211523804a14bd39f34b4fd0730586b3764499200b5c816d4b6bd0338482ea8bd83cedc5fe670db38ea6ec144b6e2e94
DIST facter-3.13.0.tar.gz 391833 BLAKE2B 8fabb2ebb438975564a770657866c6ac8ac77394c4e3cdb635eae78a744a097ef5eabb4307092cd2b9cf12b4db70623b18b3ca1e2c9e1a248825a2bf53b76565 SHA512 f3c39239d7b0708bd98a3e5de5d5623406edf5e60b6321de1d4ec7c8cf903f3ec777640b9301979f2316e90e97e2aa0a80dc71975239dc715aaba61ec7cc37de
DIST facter-3.13.1.tar.gz 392008 BLAKE2B c08eccbad8210aa8f75563566b84d8a179fc90dc74829c8a325a0c20d96189870cc4f59eb46d12603a1e3fd12650eebceba39a6553a54dcb0138c37c5d94395d SHA512 22d65d3c7eeedc674b99dcba1503bcecdc268abda0f25e6e209f1c3560dc8077b13fc5a6bbb8de1b45f2b7f5d1f2dfec8aa4fe20461a1b1d6a1a65674f570e56
DIST facter-3.9.2.tar.gz 380883 BLAKE2B d2804664e0499715230e5696c5a9ebae933f5b43dfb37154251d47763c2c7f78cfa8d1413dd836e5a0c76ed67300d066fa5bb390f17f85cd4cb7a444eaf0d133 SHA512 bc040826311bbff40f5a151ade315d9d47ef1e0f3faa570805e48ca55405265e66308230118b9cd59f701ecd76a7b0fd4d9200dd4ace838521223a162b105374

Some files were not shown because too many files have changed in this diff Show More

Loading…
Cancel
Save